import request from '@/utils/request'

// TODO: 用来进行工序库的出入库记录的 分页+时间+普通字段的查询
export function listLog(queryParams, queryMaps) {
  return request({
    url: '/wbwarehouselog/queryWbWarehouseLogByPagination',
    method: 'post',
    params: queryParams,
    data: queryMaps,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/* TODO: 用来查询单项出入库记录的废弃详情信息 */
export function findSingleLogDetail(singleLogIdAndPn) {
  return request({
    url: '/wbwarehouselog/detail',
    method: 'post',
    data: singleLogIdAndPn,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/* TODO: 用来导出表单信息 */
export function exportInventoryRecord(params) {
  return request({
    url: '/wbwarehouselog/exportLogWithDetails',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
// 测试导出数据
export function exportTest() {
  return request({
    url: '/wbapply/exportTest',
    method: 'get',
    responseType: 'blob'
  })
}
// WbWarehouseByLot
export function getWbWarehouseByLot(params) {
  return request({
    url: '/wbwarehouse/selectWbWarehouseByLot',
    method: 'get',
    params
  })
}
