import request from '@/utils/request'

// 查询列表
export function queryList(params) {
  return request({
    url: '/ysgxlog/select',
    method: 'get',
    params
  })
}
// 保存接口
export function addApplication(data) {
  return request({
    url: '/ysgxlog/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}


// 解锁接口
export function unlockUser(data) {
  return request({
    url: '/ysgxlog/unlock',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 根据key值查询数据字典数据
export function getDictData(params) {
  return request({
    url: '/wbapply/queryDict',
    method: 'get',
    params
  })
}