import request from '@/utils/request'

// 查询列表
export function listBanner(query) {
  return request({
    url: '/authority/system/banner/selbyname',
    method: 'get',
    params: query
  })
}

export function deleteBanner(query) {
  return request({
    url: '/authority/system/banner/deletebanner?bannerId=' + query,
    method: 'put'
  })
}

// 新增
export function addBanner(data) {
  return request({
    url: '/authority/system/banner/insertBanner',
    method: 'post',
    data
  })
}

// 修改
export function editBanner(data) {
  return request({
    url: '/authority/system/banner/updatebanner',
    method: 'put',
    data
  })
}

// 查询角色列表
export function listRole(query) {
  return request({
    url: '/system/role/list',
    method: 'get',
    params: query
  })
}

// export function queryInAdhibitions() {
//   return request({
//     url: '/authority/system/app/queryInAdhibitions/' + 'zt',
//     method: 'get'
//   })
// }
