import request from '@/utils/request'
// 根据key值查询数据字典数据
export function getDictData(params) {
  return request({
    url: '/wbapply/queryDict',
    method: 'get',
    params
  })
}
// 新增设备新增
export function addApplication(data) {
  return request({
    url: '/wbapply/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 分页查询要处理的设备
export function getEquipment(params) {
  return request({
    url: '/wbwarehouse/canceListByPagination',
    method: 'get',
    params
  })
}
