import request from '@/utils/request'

export function getPayDocumentByType(params) {
  return request({
    baseURL: process.env.VUE_APP_WORKFLOW,
    method: 'get',
    url: '/wftaskfieldhi/getPaymentCondition',
    params
  })
}
export function getMenuList(params) {
  return request({
    url: '/sysmenu/list',
    method: 'get',
    params
  })
}
// 查询人民陪审团的付款申请单
export function queryInJurorSubsidyDetail(params) {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/injurorapply/queryInJurorSubsidyApplys',
    method: 'get',
    params
  })
}
// 查询人民陪审团的付款申请单
export function getPayDomDetailInJuror(params) {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/injurorapply/queryInJurorSubsidyDetail',
    method: 'get',
    params
  })
}
// 查询人民陪审团的付款申请单
export function getSalaryStandards() {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/insalarystandard/queryInSalaryStandards',
    method: 'get'
  })
}
