import request from '@/utils/request'

/**
 * 查询应用平台 此接口修改至中台
 * @param params
 * @returns {AxiosPromise}
 */
// export function queryInAdhibitions(params) {
//   return request({
//     url: '/authority/system/app/queryInAdhibitions/' + params.businessId,
//     method: 'get'
//   })
// }

/**
 * 查询email
 * @param params
 * @returns {AxiosPromise}
 */
export function queryEmail(params) {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/log/verify/queryEmail',
    method: 'get',
    params
  })
}

/**
 * 查询email
 * @param params
 * @returns {AxiosPromise}
 */
export function sendEmail(params) {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/log/verify/sendEmail',
    method: 'post',
    data: params
  })
}
/**
 * 验证登录
 * @param params
 * @returns {AxiosPromise}
 */
export function verUrl(params) {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/log/verify/verUrl',
    method: 'post',
    data: params
  })
}

/**
 * 验证登录
 * @param params
 * @returns {AxiosPromise}
 */
export function updatePassW(params) {
  return request({
    baseURL: process.env.VUE_APP_INTERNAL,
    url: '/log/verify/updatePassW',
    method: 'get',
    params: params
  })
}
