import request from '@/utils/request'

// 查询设备列表
export function listdevice(query) {
  return request({
    url: '/wbwarehouse/queryWbWarehouseByPagination',
    method: 'get',
    params: query
  })
}
export function updatadevice(data) {
  return request({
    url: '/wbwarehouse/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
export function getDetailById(id) {
  return request({
    url: '/wbwarehouse/detail/' + id,
    method: 'get'
  })
}
export function add(data) {
  return request({
    url: '/wbwarehouse/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 出库操作接口
export function performOutbound(params) {
  return request({
    url: '/wbwarehouse/Outbound',
    method: 'post',
    params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

